
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #604

Audacious crashes when attempting to display mouse-hover overlay for FLAC files

December 14, 2015 09:25 - Davyd McColl

Status: Closed Start date: December 14, 2015

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: win32 Estimated time: 0.00 hour

Target version: 3.7.1   

Affects version: 3.7   

Description

This has been happening since 3.6.something, still present in 3.7.1 and 3.7.2. This is on Win32 -- I don't think I've experienced this

on Linux yet.

This appears to be reproducible with every FLAC I have. I don't know if there's a way to work around it (ie, disable the mouse-over

overlay?) -- but it would be great if there is, until someone can fix it. If you need a track to test with, let me know -- but it does seem to

be all FLACs.

History

#1 - December 14, 2015 14:50 - John Lindgren

- Priority changed from Blocker to Major

A possible workaround would be to disable the FLAC plugin.

What version of Windows is this?

#2 - December 15, 2015 10:54 - Davyd McColl

This is Windows 10, 64-bit.

Disabling FLAC isn't a great workaround for me as I have tracks I'd like to listen to in FLAC format.

Oddly enough, this just stopped happening for me now. Since I can't reliably reproduce the issue any more, I guess this ticket can be closed.

#3 - December 15, 2015 10:58 - Davyd McColl

Oh, never mind; it's back.

Now, I can't start up Audacious because of the same crash (last song played was a flac). Here's the trace from the windows event log:

Faulting application name: audacious.exe, version: 0.0.0.0, time stamp: 0x563e7ec2

Faulting module name: libFLAC-8.dll, version: 0.0.0.0, time stamp: 0x563e7ebf

Exception code: 0xc0000005

Fault offset: 0x00009e88

Faulting process id: 0x748

Faulting application start time: 0x01d1371ef57d5200

Faulting application path: C:\apps\audacious-3.7.2\bin\audacious.exe

Faulting module path: C:\apps\audacious-3.7.2\bin\libFLAC-8.dll

Report Id: 8ce7d466-369f-4559-bf2d-70213eef405f

Faulting package full name:

Faulting package-relative application ID:

(I know I can work around by clearing my default playlist)
#4 - December 24, 2015 02:53 - John Lindgren

Davyd McColl wrote:

Disabling FLAC isn't a great workaround for me as I have tracks I'd like to listen to in FLAC format.

 

They will still play since FFmpeg supports FLAC, only you won't see album art or be able to edit tags.

#5 - December 24, 2015 07:17 - John Lindgren

- Target version deleted (3.7.1)

- Affects version 3.7 added

- Affects version deleted (3.7.1)

#6 - December 24, 2015 07:18 - John Lindgren

I've tried to reproduce this with Audacious 3.7, and for me it's rock-solid on both Windows 7 (64-bit) and Windows 10 (32-bit).

#7 - December 24, 2015 07:34 - Davyd McColl

Yeah, and it stopped happening for me too, with the same tracks, same machine; thought it was predictably reproducable for a while. There's

something fishy happening here and I'm afraid I'm not being particularly useful ):

#8 - December 24, 2015 08:08 - John Lindgren

- File libFLAC-8.dll added

So I tried a bit more and was able to reproduce a crash (though not consistently) on the 32-bit Windows 10 installation.  Rebuilding libFLAC with

--disable-asm-optimizations seemed to fix it.  Try this version of the .dll for a while and see if it helps on your machine as well.

#9 - December 24, 2015 08:14 - Davyd McColl

Thanks! I will. I'll report back in his it goes (:

#10 - December 24, 2015 18:50 - Davyd McColl

So far, so good. A preliminary test gives no issues (: Thanks for the time and effort taken to work around this (:

#11 - December 28, 2015 06:09 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7.1

- % Done changed from 0 to 100

Assuming this is fixed.  Let us know if not.

Files

libFLAC-8.dll 370 KBDecember 24, 2015 John Lindgren
